diff -Nurd -x'*~' tclcl-1.17.orig/Makefile.in tclcl-1.17/Makefile.in
--- tclcl-1.17.orig/Makefile.in	2005-10-02 17:26:19.000000000 -0400
+++ tclcl-1.17/Makefile.in	2005-11-30 16:15:43.000000000 -0500
@@ -186,10 +186,13 @@
 	$(TCL2C) et_console $(CONSOLE_FILES) > embedded-console.cc
 
 install: force
-	$(INSTALL) -m 644 *.h @prefix@/include
-	$(INSTALL) tcl2c++ @prefix@/bin
-	$(INSTALL) $(LIB_TCLCL) @prefix@/lib
-	$(RANLIB)  @prefix@/lib/$(LIB_TCLCL)
+	mkdir -p $(DESTDIR)@prefix@/include/tclcl
+	$(INSTALL) -m 644 tclcl/*.h $(DESTDIR)@prefix@/include/tclcl
+	mkdir -p $(DESTDIR)@prefix@/bin
+	$(INSTALL) tcl2c++ $(DESTDIR)@prefix@/bin
+	mkdir -p $(DESTDIR)@prefix@/lib
+	$(INSTALL) $(LIB_TCLCL) $(DESTDIR)@prefix@/lib
+	$(RANLIB)  $(DESTDIR)@prefix@/lib/$(LIB_TCLCL)
 
 # libTcl is no longer installed as of 13-Nov-99
 #	-test -f @prefix@/lib/libTcl.a && rm -f @prefix@/lib/libTcl.a || true
diff -Nurd -x'*~' tclcl-1.17.orig/configure tclcl-1.17/configure
--- tclcl-1.17.orig/configure	2005-10-02 17:26:19.000000000 -0400
+++ tclcl-1.17/configure	2005-11-30 16:02:20.000000000 -0500
@@ -5172,9 +5172,6 @@
 TCL_MAJOR_VERS=`echo $TCL_VERS | sed 's/^\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\)/\1/'`
 TCL_ALT_VERS=`echo $TCL_HI_VERS | sed 's/\.//'`
 
-TCL_OLD_VERS=8.3.5
-TCL_OLD_ALT_VERS=`echo $TCL_OLD_VERS | sed 's/\.//'`
-
 TCL_TCL_PLACES_D="$d \
 		$d/lib/tcl$TCL_HI_VERS \
 		$d/lib/tcl$TCL_VERS \
@@ -5183,10 +5180,6 @@
 		$d/../lib/tcl$TCL_HI_VERS \
 		$d/../lib/tcl$TCL_VERS \
 		$d/../lib/tcl$TCL_ALT_VERS \
-		$d/lib/tcl$TCL_OLD_VERS \
-		$d/lib/tcl$TCL_OLD_ALT_VERS \
-		$d/../lib/tcl$TCL_OLD_VERS \
-		$d/../lib/tcl$TCL_OLD_ALT_VERS \
 		$d/lib \
 		$d/library \
 		"
@@ -5197,46 +5190,10 @@
 		../tcl$TCL_HI_VERS/library \
 		../tcl$TCL_VERS/library \
                 ../tcl$TCL_ALT_VERS/library \
-		/usr/lib/tcl$TCL_VERS \
-		/usr/lib/tcl$TCL_HI_VERS \
-		/usr/lib/tcl$TCL_ALT_VERS \
-		/usr/lib/tcl \
-		/usr/share/tcl$TCL_VERS \
-		/usr/share/tcl$TCL_HI_VERS \
-		/usr/share/tcl$TCL_ALT_VERS \
-		/usr/share/tcl \
-		/lib/tcl$TCL_VERS \
-		/lib/tcl$TCL_HI_VERS \
-		/lib/tcl$TCL_ALT_VERS \
-		/usr/lib/tcl$TCL_OLD_VERS \
-		/usr/lib/tcl$TCL_OLD_ALT_VERS \
-		/lib/tcl$TCL_OLD_VERS \
-		/lib/tcl$TCL_OLD_ALT_VERS \
-		/usr/lib \
-                /usr/src/local/tcl$TCL_VERS/library \
-                /usr/src/local/tcl$TCL_HI_VERS/library \
-                /usr/src/local/tcl$TCL_ALT_VERS/library \
-                /usr/local/lib/tcl$TCL_VERS \
-                /usr/local/lib/tcl$TCL_HI_VERS \
-                /usr/local/lib/tcl$TCL_ALT_VERS \
-                /usr/local/include/tcl$TCL_VERS \
-                /usr/local/include/tcl$TCL_HI_VERS \
-                /usr/local/include/tcl$TCL_ALT_VERS \
-		../tcl$TCL_OLD_VERS/library \
-                ../tcl$TCL_OLD_ALT_VERS/library \
-                /usr/src/local/tcl$TCL_OLD_VERS/library \
-                /usr/src/local/tcl$TCL_OLD_ALT_VERS/library \
-                /usr/local/lib/tcl$TCL_OLD_VERS \
-                /usr/local/lib/tcl$TCL_OLD_ALT_VERS \
-                /usr/local/include/tcl$TCL_OLD_VERS \
-                /usr/local/include/tcl$TCL_OLD_ALT_VERS \
-                /usr/local/include \
                 $prefix/include \
 		$prefix/lib/tcl \
                 $x_includes/tk \
-                $x_includes \
-                /usr/contrib/include \
-                /usr/include"
+                $x_includes"
 TCL_H_PLACES_D="$d/generic \
 		$d/unix \
 		$d/include/tcl$TCL_HI_VERS \
@@ -5251,49 +5208,9 @@
 		../tcl$TCL_HI_VERS/generic \
 		../tcl$TCL_VERS/generic \
 		../tcl$TCL_ALT_VERS/generic \
-		/usr/src/local/tcl$TCL_VERS/generic \
-		/usr/src/local/tcl$TCL_HI_VERS/generic \
-		/usr/src/local/tcl$TCL_ALT_VERS/generic \
-		/usr/src/local/tcl$TCL_VERS/unix \
-		/usr/src/local/tcl$TCL_HI_VERS/unix \
-		/usr/src/local/tcl$TCL_ALT_VERS/unix \
-		/usr/contrib/include \
-		/usr/local/lib/tcl$TCL_VERS \
-		/usr/local/lib/tcl$TCL_HI_VERS \
-		/usr/local/lib/tcl$TCL_ALT_VERS \
-		/usr/local/include/tcl$TCL_VERS \
-		/usr/local/include/tcl$TCL_HI_VERS \
-		/usr/local/include/tcl$TCL_ALT_VERS \
-		/usr/local/include \
-		/import/tcl/include/tcl$TCL_VERS \
-		/import/tcl/include/tcl$TCL_HI_VERS \
-		/import/tcl/include/tcl$TCL_ALT_VERS \
-		../tcl$TCL_OLD_VERS/generic \
-		../tcl$TCL_OLD_ALT_VERS/generic \
-		/usr/src/local/tcl$TCL_OLD_VERS/generic \
-		/usr/src/local/tcl$TCL_OLD_ALT_VERS/generic \
-		../tcl$TCL_OLD_VERS/unix \
-		../tcl$TCL_OLD_ALT_VERS/unix \
-		/usr/src/local/tcl$TCL_OLD_VERS/unix \
-		/usr/src/local/tcl$TCL_OLD_ALT_VERS/unix \
-		/usr/local/lib/tcl$TCL_OLD_VERS \
-		/usr/local/lib/tcl$TCL_OLD_ALT_VERS \
-		/usr/local/include/tcl$TCL_OLD_VERS \
-		/usr/local/include/tcl$TCL_OLD_ALT_VERS \
-		/import/tcl/include/tcl$TCL_OLD_VERS \
-		/import/tcl/include/tcl$TCL_OLD_ALT_VERS \
 		$prefix/include \
 		$x_includes/tk \
-		$x_includes \
-		/usr/include \
-		/usr/include/tcl$TCL_VERS/tcl-private/generic \
-		/usr/include/tcl$TCL_HI_VERS/tcl-private/generic \
-		/usr/include/tcl$TCL_ALT_VERS/tcl-private/generic \
-		/usr/include/tcl-private/generic \
-		/usr/include/tcl$TCL_VERS \
-		/usr/include/tcl$TCL_HI_VERS \
-		/usr/include/tcl$TCL_ALT_VERS \
-		/usr/include/tcl"
+		$x_includes"
 TCL_LIB_PLACES_D="$d \
 		$d/lib \
 		$d/unix"
@@ -5302,30 +5219,9 @@
 		../tcl$TCL_VERS/unix \
 		../tcl$TCL_HI_VERS/unix \
                 ../tcl$TCL_ALT_VERS/unix \
-                /usr/src/local/tcl$TCL_VERS/unix \
-                /usr/src/local/tcl$TCL_HI_VERS/unix \
-                /usr/src/local/tcl$TCL_ALT_VERS/unix \
-                /usr/contrib/lib \
-                /usr/local/lib/tcl$TCL_VERS \
-                /usr/local/lib/tcl$TCL_HI_VERS \
-                /usr/local/lib/tcl$TCL_ALT_VERS \
-		/usr/lib/tcl$TCL_VERS \
-		/usr/lib/tcl$TCL_HI_VERS \
-		/usr/lib/tcl$TCL_ALT_VERS \
-		../tcl$TCL_OLD_VERS/unix \
-                ../tcl$TCL_OLD_ALT_VERS/unix \
-                /usr/src/local/tcl$TCL_OLD_VERS/unix \
-                /usr/src/local/tcl$TCL_OLD_ALT_VERS/unix \
-                /usr/local/lib/tcl$TCL_OLD_VERS \
-                /usr/local/lib/tcl$TCL_OLD_ALT_VERS \
-		/usr/lib/tcl$TCL_OLD_VERS \
-		/usr/lib/tcl$TCL_OLD_ALT_VERS \
-                /usr/local/lib \
                 $prefix/lib \
                 $x_libs/tk \
-                $x_libs \
-                /usr/lib \
-		"
+                $x_libs"
 
 
 
@@ -5635,7 +5531,7 @@
 # $d/unix works if $d is the 8.0 distribution
 # $d/bin is for the ns-allinone distribution (kind of hacky, isn't it?)
 PATH=../bin:../tcl$TCL_HI_VERS/unix:../tcl$TCL_VERS/unix:$d/unix:$d/bin:$PATH
-for ac_prog in tclsh$TCL_VERS tclsh$TCL_HI_VERS tclsh tclsh$TCL_OLD_VERS
+for ac_prog in tclsh$TCL_VERS tclsh$TCL_HI_VERS tclsh
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
@@ -5757,9 +5653,6 @@
 TK_MAJOR_VERS=`echo $TK_VERS | sed 's/\([0-9]*\)\.\([0-9]*\)\.\([0-9]*\)/\1/'`
 TK_ALT_VERS=`echo $TK_VERS | sed 's/\.//'`
 
-TK_OLD_VERS=8.3.5
-TK_OLD_ALT_VERS=`echo $TK_OLD_VERS | sed 's/\.//'`
-
 TK_TCL_PLACES_D="$d \
                 $d/lib/tk$TK_VERS \
                 $d/lib/tk$TK_ALT_VERS \
@@ -5770,10 +5663,6 @@
                 $d/../lib/tk$TK_ALT_VERS \
                 $d/../lib/tk$TK_HI_VERS \
                 $d/../lib/tk \
-                $d/lib/tk$TK_OLD_VERS \
-                $d/lib/tk$TK_OLD_ALT_VERS \
-                $d/../lib/tk$TK_OLD_VERS \
-                $d/../lib/tk$TK_OLD_ALT_VERS \
                 $d/../lib/tk \
                 $d/lib \
                 $d/library"
@@ -5785,87 +5674,25 @@
                 ../tk$TK_ALT_VERS/library \
                 ../tk$TK_HI_VERS/library \
 		../tk/library \
-                /usr/src/local/tk$TK_VERS/library \
-                /usr/src/local/tk$TK_ALT_VERS/library \
-                /usr/src/local/tk$TK_HI_VERS/library \
-                /usr/contrib/include \
-                /usr/local/lib/tk$TK_VERS \
-                /usr/local/lib/tk$TK_ALT_VERS \
-                /usr/local/lib/tk$TK_HI_VERS \
-                /usr/local/include/tk$TK_VERS \
-                /usr/local/include/tk$TK_ALT_VERS \
-                /usr/local/include/tk$TK_HI_VERS \
-                /usr/local/include \
-                /usr/lib/tk$TK_VERS \
-                /usr/lib/tk$TK_ALT_VERS \
-                /usr/lib/tk$TK_HI_VERS \
-                /usr/lib/tk \
-                /usr/share/tk$TK_VERS \
-                /usr/share/tk$TK_ALT_VERS \
-                /usr/share/tk$TK_HI_VERS \
-                /usr/share/tk \
-		../tk$TK_OLD_VERS/library \
-                ../tk$TK_OLD_ALT_VERS/library \
-                /usr/src/local/tk$TK_OLD_VERS/library \
-                /usr/src/local/tk$TK_OLD_ALT_VERS/library \
-                /usr/local/lib/tk$TK_OLD_VERS \
-                /usr/local/lib/tk$TK_OLD_ALT_VERS \
-                /usr/local/include/tk$TK_OLD_VERS \
-                /usr/local/include/tk$TK_OLD_ALT_VERS \
-                /usr/lib/tk$TK_OLD_VERS \
-                /usr/lib/tk$TK_OLD_ALT_VERS \
                 $prefix/include \
 		$prefix/lib/tk \
                 $x_includes/tk \
-                $x_includes \
-                /usr/include"
+                $x_includes"
 TK_H_PLACES_D="$d \
                 $d/generic \
                 $d/../include/tk$TK_VERS \
                 $d/../include/tk$TK_HI_VERS \
-                $d/../include/tk$TK_OLD_VERS \
 		$d/include/tk$TK_VERS \
 		$d/include/tk$TK_HI_VERS \
-		$d/include/tk$TK_OLD_VERS \
                 $d/include"
 TK_H_PLACES=" \
 		../include \
 		../tk$TK_VERS/generic \
                 ../tk$TK_ALT_VERS/generic \
                 ../tk$TK_HI_VERS/generic \
-		/usr/src/local/tk$TK_VERS/generic \
-                /usr/src/local/tk$TK_ALT_VERS/generic \
-                /usr/src/local/tk$TK_HI_VERS/generic \
-                /usr/contrib/include \
-                /usr/local/lib/tk$TK_VERS \
-                /usr/local/lib/tk$TK_ALT_VERS \
-                /usr/local/lib/tk$TK_HI_VERS \
-                /usr/local/include/tk$TK_VERS \
-                /usr/local/include/tk$TK_ALT_VERS \
-                /usr/local/include/tk$TK_HI_VERS \
-                /usr/local/include \
-                /import/tk/include/tk$TK_VERS \
-                /import/tk/include/tk$TK_ALT_VERS \
-                /import/tk/include/tk$TK_HI_VERS \
-		../tk$TK_OLD_VERS/generic \
-                ../tk$TK_OLD_ALT_VERS/generic \
-		/usr/src/local/tk$TK_OLD_VERS/generic \
-                /usr/src/local/tk$TK_OLD_ALT_VERS/generic \
-                /usr/local/lib/tk$TK_OLD_VERS \
-                /usr/local/lib/tk$TK_OLD_ALT_VERS \
-                /usr/local/include/tk$TK_OLD_VERS \
-                /usr/local/include/tk$TK_OLD_ALT_VERS \
-                /import/tk/include/tk$TK_OLD_VERS \
-                /import/tk/include/tk$TK_OLD_ALT_VERS \
                 $prefix/include \
                 $x_includes/tk \
-                $x_includes \
-                /usr/include \
-                /usr/include/tcl \
-                /usr/include/tcl$TK_VERS \
-                /usr/include/tcl$TK_ALT_VERS \
-                /usr/include/tcl$TK_HI_VERS \
-                "
+                $x_includes"
 TK_LIB_PLACES_D="$d \
                 $d/lib \
 		$d/unix"
@@ -5877,24 +5704,9 @@
 		../tk$TK_VERS/unix \
                 ../tk$TK_ALT_VERS/unix \
                 ../tk$TK_HI_VERS/unix \
-                /usr/src/local/tk$TK_VERS/unix \
-                /usr/src/local/tk$TK_ALT_VERS/unix \
-                /usr/src/local/tk$TK_HI_VERS/unix \
-                /usr/contrib/lib \
-                /usr/local/lib/tk$TK_VERS \
-                /usr/local/lib/tk$TK_ALT_VERS \
-                /usr/local/lib/tk$TK_HI_VERS \
-		../tk$TK_OLD_VERS/unix \
-                ../tk$TK_OLD_ALT_VERS/unix \
-                /usr/src/local/tk$TK_OLD_VERS/unix \
-                /usr/src/local/tk$TK_OLD_ALT_VERS/unix \
-                /usr/local/lib/tk$TK_OLD_VERS \
-                /usr/local/lib/tk$TK_OLD_ALT_VERS \
-                /usr/local/lib \
                 $prefix/lib \
                 $x_libs/tk \
-                $x_libs \
-                /usr/lib"
+                $x_libs"
 
 
 NS_PACKAGE_tk_UNDERWAY=false
@@ -6133,15 +5945,8 @@
 OTCL_H_PLACES_D="$d \
 		$d/include"
 OTCL_H_PLACES="../otcl \
-		/usr/src/local/otcl \
 		../otcl-$OTCL_VERS \
-		/import/otcl/include \
-		/usr/src/local/otcl-$OTCL_VERS \
-		/usr/src/local/otcl-$OTCL_ALT_VERS \
-		$prefix/include \
-		/usr/local/include \
-		/usr/contrib/include \
-		/usr/include"
+		$prefix/include"
 OTCL_LIB_PLACES_D="$d \
 		$d/lib \
 		"
@@ -6149,14 +5954,7 @@
 		../otcl-$OTCL_VERS \
 		../otcl-$OTCL_ALT_VERS \
 		$prefix/lib \
-		$x_libraries \
-		/usr/contrib/lib \
-		/usr/local/lib \
-		/usr/lib \
-		/usr/src/local/otcl \
-		/usr/src/local/otcl-$OTCL_VERS \
-		/usr/src/local/otcl-$OTCL_ALT_VERS \
-		"
+		$x_libraries"
 
 
 NS_PACKAGE_otcl_UNDERWAY=false
diff -Nurd -x'*~' tclcl-1.17.orig/tcl2c++.c tclcl-1.17/tcl2c++.c
--- tclcl-1.17.orig/tcl2c++.c	2005-10-02 17:26:19.000000000 -0400
+++ tclcl-1.17/tcl2c++.c	2005-11-30 16:25:32.000000000 -0500
@@ -227,7 +227,7 @@
 #else
 	printf("\";\n");
 #endif
-	printf("#include \"tclcl.h\"\n");
+	printf("#include \"tclcl/tclcl.h\"\n");
 	printf("EmbeddedTcl %s(code);\n", name);
 	return (0);
 }
diff -Nurd -x'*~' tclcl-1.17.orig/tclcl-config.h tclcl-1.17/tclcl-config.h
--- tclcl-1.17.orig/tclcl-config.h	2005-10-02 17:26:19.000000000 -0400
+++ tclcl-1.17/tclcl-config.h	2005-11-30 16:03:58.000000000 -0500
@@ -1,6 +1,8 @@
 #ifndef TCLCL_CONFIG_H
 #define TCLCL_CONFIG_H
 
+#include "config.h"
+
 #ifdef WIN32
 
 #include <windows.h>
